#pragma once

#include <godot_cpp/classes/node.hpp>

namespace blitz {
class NetworkInterface : public godot::Node {
	GDCLASS(NetworkInterface, godot::Node)
  protected:
	static void _bind_methods();

  public:
	NetworkInterface();
	~NetworkInterface();

    void AddPlayer(int64_t a_PlayerId, godot::String a_PlayerName);
	void RemovePlayer(int64_t a_PlayerId);
	void SetPlayerPositionAndRotation(int64_t a_PlayerId, godot::Vector3 a_Position, godot::Vector3 a_Rotation);

    void _ready() override;
};

}  // namespace blitz